Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicFileChooserUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.FileChooserUI
                  |
                  +--javax.swing.plaf.basic.BasicFileChooserUI

Direct Known Subclasses:
  MetalFileChooserUI

public class BasicFileChooserUI
extends FileChooserUI

Basic L&F implementation of a FileChooser.

Inner Class Summary
`protected class` | `BasicFileChooserUI.AcceptAllFileFilter`
`protected class` | `BasicFileChooserUI.ApproveSelectionAction` Responds to an Open or Save request
`protected class` | `BasicFileChooserUI.BasicFileView`
`protected class` | `BasicFileChooserUI.CancelSelectionAction` Responds to a cancel request.
`protected class` | `BasicFileChooserUI.ChangeToParentDirectoryAction`
`protected class` | `BasicFileChooserUI.DoubleClickListener`
`protected class` | `BasicFileChooserUI.GoHomeAction` Acts on the "home" key event or equivalent event.
`protected class` | `BasicFileChooserUI.NewFolderAction` Creates a new folder.
`protected class` | `BasicFileChooserUI.SelectionListener`
`protected class` | `BasicFileChooserUI.UpdateAction` Rescans the files in the current directory

Field Summary
`protected int` | `cancelButtonMnemonic`
`protected java.lang.String` | `cancelButtonText`
`protected java.lang.String` | `cancelButtonToolTipText`
`protected Icon` | `computerIcon`
`protected Icon` | `detailsViewIcon`
`protected Icon` | `directoryIcon`
`protected Icon` | `fileIcon`
`protected Icon` | `floppyDriveIcon`
`protected Icon` | `hardDriveIcon`
`protected int` | `helpButtonMnemonic`
`protected java.lang.String` | `helpButtonText`
`protected java.lang.String` | `helpButtonToolTipText`
`protected Icon` | `homeFolderIcon`
`protected Icon` | `listViewIcon`
`protected Icon` | `newFolderIcon`
`protected int` | `openButtonMnemonic`
`protected java.lang.String` | `openButtonText`
`protected java.lang.String` | `openButtonToolTipText`
`protected int` | `saveButtonMnemonic`
`protected java.lang.String` | `saveButtonText`
`protected java.lang.String` | `saveButtonToolTipText`
`protected int` | `updateButtonMnemonic`
`protected java.lang.String` | `updateButtonText`
`protected java.lang.String` | `updateButtonToolTipText`
`protected Icon` | `upFolderIcon`

Constructor Summary
`BasicFileChooserUI(JFileChooser b)`

Method Summary
`void` | `clearIconCache()`
`protected java.awt.event.MouseListener` | `createDoubleClickListener(JFileChooser fc, JList list)`
`ListSelectionListener` | `createListSelectionListener(JFileChooser fc)`
`protected void` | `createModel()`
`java.beans.PropertyChangeListener` | `createPropertyChangeListener(JFileChooser fc)`
`void` | `ensureFileIsVisible(JFileChooser fc, java.io.File f)`
`FileFilter` | `getAcceptAllFileFilter(JFileChooser fc)` Returns the default accept all file filter
`JPanel` | `getAccessoryPanel()`
`protected JButton` | `getApproveButton(JFileChooser fc)`
`int` | `getApproveButtonMnemonic(JFileChooser fc)`
`java.lang.String` | `getApproveButtonText(JFileChooser fc)`
`java.lang.String` | `getApproveButtonToolTipText(JFileChooser fc)`
`Action` | `getApproveSelectionAction()`
`Action` | `getCancelSelectionAction()`
`Action` | `getChangeToParentDirectoryAction()`
`java.lang.String` | `getDialogTitle(JFileChooser fc)` Returns the title of this dialog
`java.lang.String` | `getDirectoryName()`
`JFileChooser` | `getFileChooser()`
`java.lang.String` | `getFileName()`
`FileView` | `getFileView(JFileChooser fc)`
`Action` | `getGoHomeAction()`
`BasicDirectoryModel` | `getModel()`
`Action` | `getNewFolderAction()`
`Action` | `getUpdateAction()`
`void` | `installComponents(JFileChooser fc)`
`protected void` | `installDefaults(JFileChooser fc)`
`protected void` | `installIcons(JFileChooser fc)`
`protected void` | `installListeners(JFileChooser fc)`
`protected void` | `installStrings(JFileChooser fc)`
`void` | `installUI(JComponent c)`
`void` | `rescanCurrentDirectory(JFileChooser fc)`
`void` | `setDirectoryName(java.lang.String dirname)`
`void` | `setFileName(java.lang.String filename)`
`void` | `uninstallComponents(JFileChooser fc)`
`protected void` | `uninstallDefaults(JFileChooser fc)`
`protected void` | `uninstallIcons(JFileChooser fc)`
`protected void` | `uninstallListeners(JFileChooser fc)`
`protected void` | `uninstallStrings(JFileChooser fc)`
`void` | `uninstallUI(JComponent c)`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, getPreferredSize, paint, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### directoryIcon

    protected Icon directoryIcon

### fileIcon

    protected Icon fileIcon

### computerIcon

    protected Icon computerIcon

### hardDriveIcon

    protected Icon hardDriveIcon

### floppyDriveIcon

    protected Icon floppyDriveIcon

### newFolderIcon

    protected Icon newFolderIcon

### upFolderIcon

    protected Icon upFolderIcon

### homeFolderIcon

    protected Icon homeFolderIcon

### listViewIcon

    protected Icon listViewIcon

### detailsViewIcon

    protected Icon detailsViewIcon

### saveButtonMnemonic

    protected int saveButtonMnemonic

### openButtonMnemonic

    protected int openButtonMnemonic

### cancelButtonMnemonic

    protected int cancelButtonMnemonic

### updateButtonMnemonic

    protected int updateButtonMnemonic

### helpButtonMnemonic

    protected int helpButtonMnemonic

### saveButtonText

    protected java.lang.String saveButtonText

### openButtonText

    protected java.lang.String openButtonText

### cancelButtonText

    protected java.lang.String cancelButtonText

### updateButtonText

    protected java.lang.String updateButtonText

### helpButtonText

    protected java.lang.String helpButtonText

### saveButtonToolTipText

    protected java.lang.String saveButtonToolTipText

### openButtonToolTipText

    protected java.lang.String openButtonToolTipText

### cancelButtonToolTipText

    protected java.lang.String cancelButtonToolTipText

### updateButtonToolTipText

    protected java.lang.String updateButtonToolTipText

### helpButtonToolTipText

    protected java.lang.String helpButtonToolTipText

Constructor Detail

### BasicFileChooserUI

    public BasicFileChooserUI(JFileChooser b)

Method Detail

### installUI

    public void installUI(JComponent c)

  Overrides:
    installUI in class ComponentUI

### uninstallUI

    public void uninstallUI(JComponent c)

  Overrides:
    uninstallUI in class ComponentUI

### installComponents

    public void installComponents(JFileChooser fc)

### uninstallComponents

    public void uninstallComponents(JFileChooser fc)

### installListeners

    protected void installListeners(JFileChooser fc)

### uninstallListeners

    protected void uninstallListeners(JFileChooser fc)

### installDefaults

    protected void installDefaults(JFileChooser fc)

### installIcons

    protected void installIcons(JFileChooser fc)

### installStrings

    protected void installStrings(JFileChooser fc)

### uninstallDefaults

    protected void uninstallDefaults(JFileChooser fc)

### uninstallIcons

    protected void uninstallIcons(JFileChooser fc)

### uninstallStrings

    protected void uninstallStrings(JFileChooser fc)

### createModel

    protected void createModel()

### getModel

    public BasicDirectoryModel getModel()

### createPropertyChangeListener

    public java.beans.PropertyChangeListener createPropertyChangeListener(JFileChooser fc)

### getFileName

    public java.lang.String getFileName()

### getDirectoryName

    public java.lang.String getDirectoryName()

### setFileName

    public void setFileName(java.lang.String filename)

### setDirectoryName

    public void setDirectoryName(java.lang.String dirname)

### rescanCurrentDirectory

    public void rescanCurrentDirectory(JFileChooser fc)

  Overrides:
    rescanCurrentDirectory in class FileChooserUI

### ensureFileIsVisible

    public void ensureFileIsVisible(JFileChooser fc,
                                    java.io.File f)

  Overrides:
    ensureFileIsVisible in class FileChooserUI

### getFileChooser

    public JFileChooser getFileChooser()

### getAccessoryPanel

    public JPanel getAccessoryPanel()

### getApproveButton

    protected JButton getApproveButton(JFileChooser fc)

### getApproveButtonToolTipText

    public java.lang.String getApproveButtonToolTipText(JFileChooser fc)

### clearIconCache

    public void clearIconCache()

### createListSelectionListener

    public ListSelectionListener createListSelectionListener(JFileChooser fc)

### createDoubleClickListener

    protected java.awt.event.MouseListener createDoubleClickListener(JFileChooser fc,
                                                                     JList list)

### getAcceptAllFileFilter

    public FileFilter getAcceptAllFileFilter(JFileChooser fc)

  Returns the default accept all file filter
  Overrides:
    getAcceptAllFileFilter in class FileChooserUI

### getFileView

    public FileView getFileView(JFileChooser fc)

  Overrides:
    getFileView in class FileChooserUI

### getDialogTitle

    public java.lang.String getDialogTitle(JFileChooser fc)

  Returns the title of this dialog
  Overrides:
    getDialogTitle in class FileChooserUI

### getApproveButtonMnemonic

    public int getApproveButtonMnemonic(JFileChooser fc)

### getApproveButtonText

    public java.lang.String getApproveButtonText(JFileChooser fc)

  Overrides:
    getApproveButtonText in class FileChooserUI

### getNewFolderAction

    public Action getNewFolderAction()

### getGoHomeAction

    public Action getGoHomeAction()

### getChangeToParentDirectoryAction

    public Action getChangeToParentDirectoryAction()

### getApproveSelectionAction

    public Action getApproveSelectionAction()

### getCancelSelectionAction

    public Action getCancelSelectionAction()

### getUpdateAction

    public Action getUpdateAction()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.